Bug 1350707 - Replication changelog can incorrectly skip over updates
Summary: Replication changelog can incorrectly skip over updates
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.3
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On: 1321124
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-28 08:01 UTC by Marcel Kolaja
Modified: 2020-04-15 14:32 UTC (History)
12 users (show)

Fixed In Version: 389-ds-base-1.3.4.0-33.el7_2
Doc Type: Bug Fix
Doc Text:
Previously, a bug in the changelog iterator buffer caused it to point to an incorrect position when reloading the buffer. This caused replication to skip parts of the changelog, and consequently some changes were not replicated. This bug has been fixed, and replication data loss due to an incorrectly reloaded changelog buffer no longer occurs.
Clone Of: 1321124
Environment:
Last Closed: 2016-08-02 18:37:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1544 0 normal SHIPPED_LIVE 389-ds-base bug fix and enhancement update 2016-08-02 22:22:25 UTC

Description Marcel Kolaja 2016-06-28 08:01:58 UTC
This bug has been copied from bug #1321124 and has been proposed
to be backported to 7.2 z-stream (EUS).

Comment 5 Viktor Ashirov 2016-07-25 06:43:01 UTC
Build tested:
389-ds-base-1.3.4.0-33.el7_2

Reliability15 test was executed with replicas configured to use nsds5ReplicaReleaseTimeout: 60
Results: http://storm.idmqe.lab.eng.bos.redhat.com/qa/archive/ds/rhel72/reliab15/run4_1.3.4.0-33-convergence-fix/out/repl-monitor-output/

No issues found during the test. Convergence was achieved much sooner. Time lag was < 10 mins, compared to upto 5 hours with the default settings.

Marking as verified.

Comment 7 errata-xmlrpc 2016-08-02 18:37:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1544.html


Note You need to log in before you can comment on or make changes to this bug.